Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 432492 - Missing dependency (fftw) for amarok
Missing dependency (fftw) for amarok
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 07:37 EST by Scott Ryan
Modified: 2008-02-14 10:49 EST (History)
6 users (show)

See Also:
Fixed In Version: 3.2.8-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 10:49:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yum Log file. (26.78 KB, text/plain)
2008-02-12 10:21 EST, Scott Ryan
no flags Details

  None (edit)
Description Scott Ryan 2008-02-12 07:37:45 EST
Description of problem:
Failed Dependency check for amarok. Missing dependency is fftw.


Version-Release number of selected component (if applicable):
# rpm -qa amarok
amarok-1.4.8-1.fc8

How reproducible:
Installation of F8 selecting only office and productivity option and KDE window
manager.

Steps to Reproduce:
1.Install Fedora8 office and productivity as the only option with KDE as window
manager.
2.Start Amarok
3.
  
Actual results:
$ amarok
Amarok: [Loader] Starting amarokapp..
Amarok: [Loader] Don't run gdb, valgrind, etc. against this binary! Use 
amarokapp.
amarokapp: error while loading shared libraries: libfftw3.so.3: cannot open 
shared object file: No such file or directory

Expected results:
Amarok should have pulled in fftw as a dependency.

Additional info:
Comment 1 Rex Dieter 2008-02-12 09:16:29 EST
The deps are there:
amarok -> libtunepimp -> libofa -> fftw

If it didn't get installed, the problem lies elsewhere.

What did you use to install amarok?  yum?  pirut?
Comment 2 Scott Ryan 2008-02-12 10:21:30 EST
Created attachment 294663 [details]
Yum Log file.
Comment 3 Rex Dieter 2008-02-12 10:31:17 EST
??

log includes:
Feb 12 10:59:29 Installed: fftw - 3.1.2-5.fc8.i386
Comment 4 Rex Dieter 2008-02-12 16:48:03 EST
With the log confirming the dep was actually installed, the mystery deepens, but
I can say certainly that it is neither an amarok bug nor a missing dependency,
closing.

If you can find more details or evidence how the problem occurred, feel free to
reopen this.
Comment 5 Scott Ryan 2008-02-13 02:12:33 EST
The dep was installed manually using yum:

Amarok was installed on Feb06:
Feb 06 15:25:07 Installed: amarok - 1.4.8-1.fc8.i386

libtunepimp was installed shortly after:
Feb 06 15:23:30 Installed: libtunepimp - 0.5.3-9.fc8.i386

But I had to manually install fftw on the 12th Feb:
Feb 12 10:43:51 Installed: fftw2 - 2.1.5-15.fc8.i386
Feb 12 10:59:29 Installed: fftw - 3.1.2-5.fc8.i386
Comment 6 Rex Dieter 2008-02-13 08:15:27 EST
ok, reassigning.
Comment 7 Rex Dieter 2008-02-13 08:15:42 EST
for real now.
Comment 8 Seth Vidal 2008-02-13 08:45:32 EST
what ver of yum are you using? I can't replicate this on 3.2.11
Comment 9 Michael Schwendt 2008-02-14 10:41:11 EST
In the log:

  Feb 06 14:44:11 Updated: yum - 3.2.8-2.fc8.noarch

So the yum that installed amarok was even older.
Comment 10 Seth Vidal 2008-02-14 10:49:59 EST
okay, Then I'm going to close current-release. chances are better than avg this
has been fixed.

Note You need to log in before you can comment on or make changes to this bug.